[Frage] freetz für 7.20 schon verfügbar?

JokerGermany

Mitglied
Mitglied seit
7 Aug 2007
Beiträge
514
Punkte für Reaktionen
2
Punkte
18
Moin,
eigentlich würde ich ja noch die Füße stillhalten, aber da hier schon steht, dass es unterstützt wird frage ich mal nach in freudiger Erwartung Dresche zu erhalten...
154.07.20 rev80072 {ALL} [PSQ19]

Was ich gemacht habe:

git clone https://github.com/Freetz/freetz.git freetz-devel
make menuconfig
Expert ausgewählt
FB7590 ausgewählt
Unter Firmware version finde ich als höchstes:
FRITZ!OS 07.1x - HIGHLY EXPERIMENTAL

Heruntergeladen wird 7.12

Mache ich was falsch oder sollte ich mich noch gedulden?

Vielen Dank.

€dit:
Sry wusste nicht, dass es einen Fork von Freetz gibt.
 
Zuletzt bearbeitet:

blackstar

Neuer User
Mitglied seit
22 Jan 2007
Beiträge
145
Punkte für Reaktionen
3
Punkte
18
noch ist es nicht eingepflegt bei freetz
gib den Entwicklern bitte Zeit
ich warte auch schon sehnsüchtig ;-)
 

prisrak1

Mitglied
Mitglied seit
14 Mai 2017
Beiträge
324
Punkte für Reaktionen
25
Punkte
28
wurde gerade bei mir gebaut, Ihr seit super!
 
Zuletzt bearbeitet:

Massa

Neuer User
Mitglied seit
18 Dez 2004
Beiträge
196
Punkte für Reaktionen
4
Punkte
18
Bei Freetz-NG ist es prinzipiell bereits auswählbar - allerdings gibt es noch keine Kernel-Quellen...
...damit lassen sich einige Pakete / Module nicht bauen (z.B. OpenVPN, Wireguard)
Und es gibt da noch ein paar Abhängigkeitsprobleme - man muss mit seiner Konfiguration quasi neu anfangen; wenn man mit einer bestehenden älteren Konfiguration startet, stürzt "make menuconfig" bei Auswahl der Version 7.20 mit einem Fehler ab:
Code:
ERROR: unmet direct dependencies detected for FREETZ_MODULE_yf_patchkernel
  Depends on [n]: FREETZ_REPLACE_MODULE_AVAILABLE [=n] && FREETZ_AVM_HAS_BUGON_IN_NET_CORE [=y]
  Selected by [y]:
  - FREETZ_PACKAGE_TINC [=y] && FREETZ_AVM_HAS_BUGON_IN_NET_CORE [=y]
make: *** [Makefile:382: menuconfig] Error 1
 

prisrak1

Mitglied
Mitglied seit
14 Mai 2017
Beiträge
324
Punkte für Reaktionen
25
Punkte
28
ist nichts neues, man bastelt gern.. :)
 

JokerGermany

Mitglied
Mitglied seit
7 Aug 2007
Beiträge
514
Punkte für Reaktionen
2
Punkte
18
Ich habe gestern ein wenig mit freetz-ng rumprobiert und werde es heute auch nochmal um sicher zu stellen, dass ich nicht der Fehler war.

Mein erzeugtes Image hat alle 2-3 Minuten für ca. 30 Sekunden eine Art Reboot gemacht. (Kein DECT, kein Webserver usw.)
Eine Internetverbindung konnte er auch nicht aufbauen (VDSL)
 

JokerGermany

Mitglied
Mitglied seit
7 Aug 2007
Beiträge
514
Punkte für Reaktionen
2
Punkte
18
Habe gestern Abend nochmal eine kompiliert und nur zusätzliche Pakete ausgewählt und gleiches Fehlerbild.
 

Master SaMMy

Neuer User
Mitglied seit
20 Apr 2016
Beiträge
97
Punkte für Reaktionen
12
Punkte
8
Das hatte ich schon mit der Labor gehabt dassie alle 2 min rebootet. mit der 7.20 ist das immer noch so

checking libc version
... used by AVM ...... musl 1.1.23
... used by Freetz ... uClibc 1.0.15
und da könnte das prob dran liegen
 

stulle

Neuer User
Mitglied seit
8 Jan 2006
Beiträge
17
Punkte für Reaktionen
1
Punkte
3
Meine letzte Version war freetz-ng 16702M trunk 2020-05-02, diese läuft ohne Probleme. Ich habe gar keine Auswahlmöglichkeit für 7.20, siehe #1
 

JokerGermany

Mitglied
Mitglied seit
7 Aug 2007
Beiträge
514
Punkte für Reaktionen
2
Punkte
18
Du schreibst von freetz-ng aber in deiner Signatur sprichst du von freetz-devel?!? Was denn nun?
Freetz bietet noch keine 7.20 Version an, Freetz-ng dagegen schon (funktioniert bloß nicht XD)
 

stulle

Neuer User
Mitglied seit
8 Jan 2006
Beiträge
17
Punkte für Reaktionen
1
Punkte
3
Die Signatur ist nicht mehr aktuell, hatte ich früher drauf, Habe genau die Version wie wie im text geschrieben steht.
 

JokerGermany

Mitglied
Mitglied seit
7 Aug 2007
Beiträge
514
Punkte für Reaktionen
2
Punkte
18
Hast du eine neue Version vom Repository heruntergeladen oder es mit dem 2020-05-02 probiert?
Hier ein Screenshot wie es bei mir aussieht.
 

Anhänge

stulle

Neuer User
Mitglied seit
8 Jan 2006
Beiträge
17
Punkte für Reaktionen
1
Punkte
3
Ich habe immer nur ein svn up gemacht, expert ist eingestellt, bleibe aber bei 16702 stecken bzw 20200502 stecken, müsste wohl dann eine frische repository herunterladen.
 

JokerGermany

Mitglied
Mitglied seit
7 Aug 2007
Beiträge
514
Punkte für Reaktionen
2
Punkte
18
Kannst sogar Beginner einstellen.
Allerdings hab ich es per git geholt. (Einmal von gitlab und einmal von github)
 

stulle

Neuer User
Mitglied seit
8 Jan 2006
Beiträge
17
Punkte für Reaktionen
1
Punkte
3

prisrak1

Mitglied
Mitglied seit
14 Mai 2017
Beiträge
324
Punkte für Reaktionen
25
Punkte
28
da steht bestimmt auch in welcher Zeile in "Makefile" es überprüft wird :)
 

Herbie_2005

Mitglied
Mitglied seit
31 Mrz 2007
Beiträge
305
Punkte für Reaktionen
0
Punkte
16
In Zeile 90 wird geprüft, ob ein alter Linux-Kern vorliegt. Ich aktualisere gerade mein Linux ...
 

kaegith

Neuer User
Mitglied seit
25 Nov 2013
Beiträge
1
Punkte für Reaktionen
0
Punkte
1
Das mit dem rebooten alle 2-3 Minuten tritt auch bei mir auf. Fritzbox 7590 international Version (Schweiz)